ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Stg.InferTags.TagSig

# Documentation

data TagInfo Source #

Constructors

TagDunno |
TagTuple [TagInfo] |
TagProper |
TagTagged |

#### Instances

Instances details

Binary TagInfo Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods put_ :: BinHandle -> TagInfo -> IO () Source # put :: BinHandle -> TagInfo -> IO (Bin TagInfo) Source # get :: BinHandle -> IO TagInfo Source #
Outputable TagInfo Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods ppr :: TagInfo -> SDoc Source #
Eq TagInfo Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods (==) :: TagInfo -> TagInfo -> Bool # (/=) :: TagInfo -> TagInfo -> Bool #

newtype TagSig Source #

Constructors

TagSig TagInfo |

#### Instances

Instances details

Binary TagSig Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods put_ :: BinHandle -> TagSig -> IO () Source # put :: BinHandle -> TagSig -> IO (Bin TagSig) Source # get :: BinHandle -> IO TagSig Source #
Outputable TagSig Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods ppr :: TagSig -> SDoc Source #
Eq TagSig Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods (==) :: TagSig -> TagSig -> Bool # (/=) :: TagSig -> TagSig -> Bool #
OutputableBndr (Id, TagSig) Source # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods pprBndr :: BindingSite -> (Id, TagSig) -> SDoc Source # pprPrefixOcc :: (Id, TagSig) -> SDoc Source # pprInfixOcc :: (Id, TagSig) -> SDoc Source # bndrIsJoin_maybe :: (Id, TagSig) -> Maybe Int Source #

isTaggedSig :: TagSig -> Bool Source #

seqTagSig :: TagSig -> () Source #

seqTagInfo :: TagInfo -> () Source #